﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TestInfragisticsPrintSize
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DateWithoutDropDown;
            e.Layout.Bands[0].Columns[0].SortIndicator = Infragistics.Win.UltraWinGrid.SortIndicator.Ascending;
            e.Layout.Bands[0].Columns[2].Width = 300;
            e.Layout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.RowSelect;
            e.Layout.Override.AllowDelete = Infragistics.Win.DefaultableBoolean.False;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            for (int i = 0; i < 10; i++)
            {
                dt.Columns.Add(i.ToString());
            }

            DataRow dr = dt.NewRow();
            for (int i = 0; i < 10; i++)
            {
                dr[i] = "Hello World";
            }

            dr[0] = new DateTime(2014, 1, 1);

            dt.Rows.Add(dr);

            dr = dt.NewRow();
            for (int i = 0; i < 10; i++)
            {
                dr[i] = "Goodbye World";
            }

            dr[0] = new DateTime(2014, 1, 1);

            dt.Rows.Add(dr);

            gridTest.DataSource = dt;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            printGridDoc.Grid = gridTest;
            printGridDoc.FitWidthToPages = 1;
            printGridDoc.DefaultPageSettings.Landscape = true;
            dlgPrintPreview.Document = printGridDoc;
            dlgPrintPreview.ShowDialog(this);
        }

        private void gridTest_InitializePrintPreview(object sender, Infragistics.Win.UltraWinGrid.CancelablePrintPreviewEventArgs e)
        {
            e.DefaultLogicalPageLayoutInfo.ClippingOverride = Infragistics.Win.UltraWinGrid.ClippingOverride.Yes;
        }

        private void gridTest_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (Convert.ToDateTime(e.Row.Cells[0].Value.ToString()) < DateTime.Now)
            {
                e.Row.Appearance.ForeColor = Color.Red;
                e.Row.Appearance.BackColor = Color.LightYellow;
            }
        }
    }
}
